Bug 877018 - CVE-2012-3509 mutrace: in bundled libiberty [fedora-rawhide]
CVE-2012-3509 mutrace: in bundled libiberty [fedora-rawhide]
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mutrace (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-3509
  Show dependency treegraph
 
Reported: 2012-11-15 09:39 EST by Gwyn Ciesla
Modified: 2012-11-21 11:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-21 11:44:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gwyn Ciesla 2012-11-15 09:39:17 EST
This package bundles libiberty, and may need to be patched based on the patch referenced in 860769.
Comment 1 Vincent Danen 2012-11-15 12:02:12 EST
For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=849693,877018
Comment 2 Lennart Poettering 2012-11-19 17:45:08 EST
Hmm? mutrace does not use nor bundle libiberty. What is this about?
Comment 3 Gwyn Ciesla 2012-11-20 08:17:37 EST
Vincent?
Comment 4 Vincent Danen 2012-11-20 19:41:27 EST
I didn't file this bug initially, I just linked it to the CVE bug and added the submission link info.  Jon, you filed this bug and indicated it bundled libiberty.  If that isn't the case, then it could probably be closed NOTABUG (I didn't check to see if it was bundled, honestly, due to lack of time so I just blindly put #c1 in there to assist with any forthcoming updates).
Comment 5 Gwyn Ciesla 2012-11-21 08:35:37 EST
According to 849693 comment 29, I thought mutrace was affected, am I misunderstanding?  I don't see libiberty here either.
Comment 6 Vincent Danen 2012-11-21 11:44:07 EST
Ah, it's exporting a symbol (if you looked at the list previous to it with the check for the actual source file, mutrace isn't noted), which is coming from here:

mutrace-0.2/backtrace-symbols.c:#include <libiberty.h>

So this is a red herring.  I'm going to close this bug.
Comment 7 Gwyn Ciesla 2012-11-21 11:49:12 EST
Ok, thanks for the clarification.

Note You need to log in before you can comment on or make changes to this bug.